using Decimation.Lib.Items;
using Decimation.Lib.Util;
using Terraria;

namespace Decimation.Content.Items.Accessories
{
    internal class NecrosisStone : DecimationAccessory
    {
        protected override string ItemName => "Necrosis Stone";

        protected override string ItemTooltip =>
            "This stone breathes life into once deceased creatures\nReduces respawn time by 50%";

        protected override void InitAccessory()
        {
            item.width = 20;
            item.height = 20;
            item.rare = Rarity.Rainbow.GetRarityValue();
            this.item.value = Item.buyPrice(0, 5);
            this.item.expert = true;
        }

        public override void UpdateAccessory(Player player, bool hideVisual)
        {
            player.GetModPlayer<DecimationPlayer>().necrosisStoneEquipped = true;
        }
    }
}